Table of Contents

## Name

XtDisplayStringConversionWarning - issue a conversion warning message

## Syntax

void XtDisplayStringConversionWarning(Display* display, String
  from_value, to_type);

## Arguments

Specifies the display connection with which the conversion is associated.

Specifies the string that could not be converted.

Specifies the target representation type requested.

## Description

The XtDisplayStringConversionWarning function issues a warning message using XtAppWarningMsg with name ``conversionError'', type ``string'', class ``XtToolkitError, and the default message string ``Cannot convert "from_value" to type to_type''.

To issue other types of warning or error messages, the type converter should use XtAppWarningMsg or XtAppErrorMsg.

## See Also

XtAppWarningMsg(3t)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also